function LoadingTiles()

	-- csempekszlet feltltse
	MainTileFile = love.graphics.newImage("TILESET.PNG")	
	
	Tileset = {}
	-- xstart, ystart, xlength, ylength
	-- J SET
	
	Tileset[1] = love.graphics.newQuad(0,  0, 32, 32, 512, 512) -- fld
	Tileset[2] = love.graphics.newQuad(32,  0, 32, 32, 512, 512) -- vz frame 1
	Tileset[3] = love.graphics.newQuad(64,  0, 32, 32, 512, 512) -- vz frame 2
	Tileset[4] = love.graphics.newQuad(96,  0, 32, 32, 512, 512) -- ll f
	Tileset[5] = love.graphics.newQuad(128,  0, 32, 32, 512, 512) -- levgott f
	Tileset[6] = love.graphics.newQuad(160,  0, 32, 32, 512, 512) -- fraktlfa
	Tileset[7] = love.graphics.newQuad(192,  0, 32, 32, 512, 512) -- leszretelt fraktlfa
	Tileset[8] = love.graphics.newQuad(224,  0, 32, 32, 512, 512) -- obszidintmb
	Tileset[9] = love.graphics.newQuad(256,  0, 32, 32, 512, 512) -- obszidinblokk
	Tileset[10] = love.graphics.newQuad(288,  0, 32, 32, 512, 512) -- gphz mag
	Tileset[11] = love.graphics.newQuad(320,  0, 32, 32, 512, 512) -- szervergp tet
	Tileset[12] = love.graphics.newQuad(352,  0, 32, 32, 512, 512) -- fld jobb alul
	Tileset[13] = love.graphics.newQuad(384,  0, 32, 32, 512, 512) -- fld bal alul
	Tileset[14] = love.graphics.newQuad(416,  0, 32, 32, 512, 512) -- fld fll vgig
	Tileset[15] = love.graphics.newQuad(448,  0, 32, 32, 512, 512) -- fld csak jobb alul nem
	Tileset[16] = love.graphics.newQuad(480,  0, 32, 32, 512, 512) -- fld csak bal alul nem
	
	Tileset[17] = love.graphics.newQuad(0,  32, 32, 32, 512, 512) -- exterior betonpadl
	Tileset[18] = love.graphics.newQuad(32,  32, 32, 32, 512, 512) -- exterior betonfal
	Tileset[19] = love.graphics.newQuad(64,  32, 32, 32, 512, 512) -- interior betonpadl
	Tileset[20] = love.graphics.newQuad(96,  32, 32, 32, 512, 512) -- interior betonfal
	Tileset[21] = love.graphics.newQuad(128,  32, 32, 32, 512, 512) -- beltri tz frame 1
	Tileset[22] = love.graphics.newQuad(160,  32, 32, 32, 512, 512) -- beltri tz frame 2
	Tileset[23] = love.graphics.newQuad(192,  32, 32, 32, 512, 512) -- kigett szervergp
	Tileset[24] = love.graphics.newQuad(224,  32, 32, 32, 512, 512) -- gphz fal
	Tileset[25] = love.graphics.newQuad(256,  32, 32, 32, 512, 512) -- repeds a fldn
	Tileset[26] = love.graphics.newQuad(288,  32, 32, 32, 512, 512) -- fld jobbra vgig
	Tileset[27] = love.graphics.newQuad(320,  32, 32, 32, 512, 512) -- fld balra vgig
	Tileset[28] = love.graphics.newQuad(352,  32, 32, 32, 512, 512) -- fld jobb fell
	Tileset[29] = love.graphics.newQuad(384,  32, 32, 32, 512, 512) -- fld bal bell
	Tileset[30] = love.graphics.newQuad(416,  32, 32, 32, 512, 512) -- fld lent vgig
	Tileset[31] = love.graphics.newQuad(448,  32, 32, 32, 512, 512) -- fld csak jobb fell nem
	Tileset[32] = love.graphics.newQuad(480,  32, 32, 32, 512, 512) -- fld csak bal fell nem
	
	Tileset[33] = love.graphics.newQuad(0, 64, 32, 32, 512, 512) -- csukott lda
	Tileset[34] = love.graphics.newQuad(32, 64, 32, 32, 512, 512) -- nyitott lda
	Tileset[35] = love.graphics.newQuad(64, 64, 32, 32, 512, 512) -- csukott szekrny
	Tileset[36] = love.graphics.newQuad(96, 64, 32, 32, 512, 512) -- nyitott szekrny
	Tileset[37] = love.graphics.newQuad(128, 64, 32, 32, 512, 512) -- gpbels vastalpazat
	Tileset[38] = love.graphics.newQuad(160, 64, 32, 32, 512, 512) -- gpbels titniumpnclzat
	Tileset[39] = love.graphics.newQuad(192, 64, 32, 32, 512, 512) -- zrt csapajt
	Tileset[40] = love.graphics.newQuad(224, 64, 32, 32, 512, 512) -- nyitott csapajt
	Tileset[41] = love.graphics.newQuad(256, 64, 32, 32, 512, 512) -- ertr frame 1
	Tileset[42] = love.graphics.newQuad(288, 64, 32, 32, 512, 512) -- ertr frame 2
	Tileset[43] = love.graphics.newQuad(320, 64, 32, 32, 512, 512) -- felszn-menedk tjr
	Tileset[44] = love.graphics.newQuad(352, 64, 32, 32, 512, 512) -- menedk-felszn tjr
	Tileset[45] = love.graphics.newQuad(384, 64, 32, 32, 512, 512) -- felszn-gpbels tjr
	Tileset[46] = love.graphics.newQuad(416, 64, 32, 32, 512, 512) -- gpbels-felszn tjr
	Tileset[47] = love.graphics.newQuad(448, 64, 32, 32, 512, 512) -- gpbels-mag tjr
	Tileset[48] = love.graphics.newQuad(480, 64, 32, 32, 512, 512) -- mag-gpbels tjr
	
	Tileset[49] = love.graphics.newQuad(0, 96, 32, 32, 512, 512) -- mag ornament padl
	Tileset[50] = love.graphics.newQuad(32, 96, 32, 32, 512, 512) -- mag sima padl
	Tileset[51] = love.graphics.newQuad(64, 96, 32, 32, 512, 512) -- mag aranyfal
	Tileset[52] = love.graphics.newQuad(96, 96, 32, 32, 512, 512) -- szuszpenzis tartly frame 1
	Tileset[53] = love.graphics.newQuad(128, 96, 32, 32, 512, 512) --szuszpenzis tartly frame 2
	Tileset[54] = love.graphics.newQuad(160, 96, 32, 32, 512, 512) -- res szuszpenzis tartly
	Tileset[55] = love.graphics.newQuad(192, 96, 32, 32, 512, 512) -- Machine God kristlyok
	Tileset[56] = love.graphics.newQuad(224, 96, 32, 32, 512, 512) -- Machine God trnterem ajt
	Tileset[57] = love.graphics.newQuad(256, 96, 32, 32, 512, 512) -- trnterem lzer frame 1
	Tileset[58] = love.graphics.newQuad(288, 96, 32, 32, 512, 512) -- trnterem lzer frame 2
	Tileset[59] = love.graphics.newQuad(320, 96, 32, 32, 512, 512) -- trnterem zld lzer
	Tileset[60] = love.graphics.newQuad(352, 96, 32, 32, 512, 512) -- mag rnaoszlop
	Tileset[61] = love.graphics.newQuad(384, 96, 32, 32, 512, 512) -- monitor frame 1
	Tileset[62] = love.graphics.newQuad(416, 96, 32, 32, 512, 512) -- monitor frame 2
	Tileset[63] = love.graphics.newQuad(448, 96, 32, 32, 512, 512) -- gpisten trn frame 1
	Tileset[64] = love.graphics.newQuad(480, 96, 32, 32, 512, 512) -- gpisten trn frame 2
	
	Tileset[65] = love.graphics.newQuad(0, 128, 32, 32, 512, 512) -- gpbels faltet
	Tileset[66] = love.graphics.newQuad(32, 128, 32, 32, 512, 512) -- mag faltet
	Tileset[67] = love.graphics.newQuad(64, 128, 32, 32, 512, 512) --  mag kristlyoszlop tet
	Tileset[68] = love.graphics.newQuad(96, 128, 32, 32, 512, 512) -- mag elforgatott fal
	Tileset[69] = love.graphics.newQuad(128, 128, 32, 32, 512, 512) -- gpbels elmozgatott fal
	Tileset[70] = love.graphics.newQuad(160, 128, 32, 32, 512, 512) -- itemek
	Tileset[71] = love.graphics.newQuad(192, 128, 32, 32, 512, 512) 
	Tileset[72] = love.graphics.newQuad(224, 128, 32, 32, 512, 512) 
	Tileset[73] = love.graphics.newQuad(256, 128, 32, 32, 512, 512) 
	Tileset[75] = love.graphics.newQuad(288, 128, 32, 32, 512, 512) 
	Tileset[74] = love.graphics.newQuad(320, 128, 32, 32, 512, 512) 
	Tileset[76] = love.graphics.newQuad(352, 128, 32, 32, 512, 512) -- HUD ikonok
	Tileset[77] = love.graphics.newQuad(384, 128, 32, 32, 512, 512) 
	Tileset[78] = love.graphics.newQuad(416, 128, 32, 32, 512, 512) 
	Tileset[79] = love.graphics.newQuad(448, 128, 32, 32, 512, 512) 
	Tileset[80] = love.graphics.newQuad(480, 128, 32, 32, 512, 512) 
	
	Tileset[81] = love.graphics.newQuad(0, 160, 32, 32, 512, 512) --fmen monitorok
	Tileset[82] = love.graphics.newQuad(32, 160, 32, 32, 512, 512) 
	Tileset[83] = love.graphics.newQuad(64, 160, 32, 32, 512, 512)
	Tileset[84] = love.graphics.newQuad(96, 160, 32, 32, 512, 512) -- jtkos
	Tileset[85] = love.graphics.newQuad(128, 160, 32, 32, 512, 512) 
	Tileset[86] = love.graphics.newQuad(160, 160, 32, 32, 512, 512)
	Tileset[87] = love.graphics.newQuad(192, 160, 32, 32, 512, 512) 
	Tileset[88] = love.graphics.newQuad(224, 160, 32, 32, 512, 512) -- pipa 
	Tileset[89] = love.graphics.newQuad(256, 160, 32, 32, 512, 512) -- X
	Tileset[90] = love.graphics.newQuad(288, 160, 32, 32, 512, 512) --kldetselemek
	Tileset[91] = love.graphics.newQuad(320, 160, 32, 32, 512, 512) 
	Tileset[92] = love.graphics.newQuad(352, 160, 32, 32, 512, 512)
	Tileset[93] = love.graphics.newQuad(384, 160, 32, 32, 512, 512) 
	Tileset[94] = love.graphics.newQuad(416, 160, 32, 32, 512, 512) 
	Tileset[95] = love.graphics.newQuad(448, 160, 32, 32, 512, 512) 
	Tileset[96] = love.graphics.newQuad(480, 160, 32, 32, 512, 512) 
	
	Tileset[666] = love.graphics.newQuad(0,  448, 32, 32, 512, 512) -- semmi
	
	Tileset[1337] = love.graphics.newQuad(0,  192, 512, 224, 512, 512) -- HUD
	
	-- szolid tile-ok: amikkel a jtkos tkzik, nem tud rajtuk tmenni
	
	Solids = { 2, 3, 6, 7, 8, 9, 10, 11, 12, 13, 17, 18, 20, 21, 22, 23, 24, 25, 28, 29, 33, 34, 35, 36, 38}
	
end


 
